Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.matching
Class MatchingConfiguration.Tags

    java.lang.Object
      com.sun.mdm.index.configurator.impl.matching.MatchingConfiguration.Tags

Enclosing class:
  MatchingConfiguration

public static final class MatchingConfiguration.Tags
extends java.lang.Object

Tags that correspond to the XML node names.

Field Summary
`static java.lang.String` | `COLUMN_NAME` column name tag
`static java.lang.String` | `MATCH_COLUMN` match column tag
`static java.lang.String` | `MATCH_COLUMNS` match columns tag
`static java.lang.String` | `MATCH_ORDER` match order tag
`static java.lang.String` | `MATCH_SYSTEM_OBJECT` match system object tag
`static java.lang.String` | `MATCH_TYPE` match type tag
`static java.lang.String` | `OBJECT_NAME` object name tag

Constructor Summary
`MatchingConfiguration.Tags()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_NAME

    public static final java.lang.String COLUMN_NAME

  column name tag

  See Also:
    Constant Field Values

### MATCH_COLUMN

    public static final java.lang.String MATCH_COLUMN

  match column tag

  See Also:
    Constant Field Values

### MATCH_COLUMNS

    public static final java.lang.String MATCH_COLUMNS

  match columns tag

  See Also:
    Constant Field Values

### MATCH_ORDER

    public static final java.lang.String MATCH_ORDER

  match order tag

  See Also:
    Constant Field Values

### MATCH_SYSTEM_OBJECT

    public static final java.lang.String MATCH_SYSTEM_OBJECT

  match system object tag

  See Also:
    Constant Field Values

### MATCH_TYPE

    public static final java.lang.String MATCH_TYPE

  match type tag

  See Also:
    Constant Field Values

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  object name tag

  See Also:
    Constant Field Values

Constructor Detail

### MatchingConfiguration.Tags

    public MatchingConfiguration.Tags()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.